### org.jfree.layouting.util.geom

# Class StrictInsets

- `java.lang.Object`
- - `org.jfree.layouting.util.geom.StrictInsets`

Implemented Interfaces:
  Cloneable

`public class StrictInsets`
`extends java.lang.Object`
`implements Cloneable`

Creation-Date: 09.07.2006, 20:22:06

Author:
  Thomas Morgner

  ## Constructor Summary

  `StrictInsets()`

  `StrictInsets(long top, long left, long bottom, long right)`

  ## Method Summary

  `Object`

  `clone()`
    Returns a copy of this bounds object.

  `boolean`

  `equals(Object o)`

  `long`

  `getBottom()`

  `long`

  `getLeft()`

  `long`

  `getRight()`

  `long`

  `getTop()`

  `int`

  `hashCode()`

  `void`

  `setBottom(long bottom)`

  `void`

  `setLeft(long left)`

  `void`

  `setRight(long right)`

  `void`

  `setTop(long top)`

  `String`

  `toString()`
    Returns a string representation of the object.

## Constructor Details

### StrictInsets

    public StrictInsets()

### StrictInsets

    public StrictInsets(long top,
                        long left,
                        long bottom,
                        long right)

## Method Details

### clone

    public Object clone()

> Returns a copy of this bounds object. This method will never throw a 'CloneNotSupportedException'.
> Returns:
>   the cloned instance.

### equals

    public boolean equals(Object o)

### getBottom

    public long getBottom()

### getLeft

    public long getLeft()

### getRight

    public long getRight()

### getTop

    public long getTop()

### hashCode

    public int hashCode()

### setBottom

    public void setBottom(long bottom)

### setLeft

    public void setLeft(long left)

### setRight

    public void setRight(long right)

### setTop

    public void setTop(long top)

### toString

    public String toString()

> Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

> The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

> >      getClass().getName() + '@' + Integer.toHexString(hashCode())

> Returns:
>   a string representation of the object.